import request from '@/utils/request'

// 查询提现记录列表
export function listCashrecord(query) {
  return request({
    url: '/business/cashrecord/list',
    method: 'get',
    params: query
  })
}

// 查询提现记录详细
export function getCashrecord(id) {
  return request({
    url: '/business/cashrecord/' + id,
    method: 'get'
  })
}

// 新增提现记录
export function addCashrecord(data) {
  return request({
    url: '/business/cashrecord',
    method: 'post',
    data: data
  })
}

// 修改提现记录
export function updateCashrecord(data) {
  return request({
    url: '/business/cashrecord',
    method: 'put',
    data: data
  })
}

// 删除提现记录
export function delCashrecord(id) {
  return request({
    url: '/business/cashrecord/' + id,
    method: 'delete'
  })
}
